summaryrefslogtreecommitdiffstats
path: root/compass-deck/bin/cobbler/remove_systems.sh
diff options
context:
space:
mode:
authorJustin chi <chigang@huawei.com>2017-11-03 08:48:34 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-11-03 08:48:34 +0000
commitcdbfdcb04670bba08b301789c6be08900da44f10 (patch)
treee2d20371b26863551ef6907601d06a538d8eea45 /compass-deck/bin/cobbler/remove_systems.sh
parent651da345e4fde74f81213fd08cc3a21a8421089a (diff)
parent905b0231e93ce2409a45dd6c4f5f983689fdb790 (diff)
Merge "Add compass-deck"
Diffstat (limited to 'compass-deck/bin/cobbler/remove_systems.sh')
-rwxr-xr-xcompass-deck/bin/cobbler/remove_systems.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/compass-deck/bin/cobbler/remove_systems.sh b/compass-deck/bin/cobbler/remove_systems.sh
new file mode 100755
index 0000000..1973d43
--- /dev/null
+++ b/compass-deck/bin/cobbler/remove_systems.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+systems=$(cobbler system list)
+echo "remove systems: $systems"
+for system in $systems; do
+ cobbler system remove --name=$system
+ if [[ "$?" != "0" ]]; then
+ echo "failed to remove system %s"
+ fi
+done